<mat-card class="categorias-card">
  <mat-card-header>
    <mat-card-title>Categorias</mat-card-title>
    <!-- <mat-card-subtitle>Período Considerado</mat-card-subtitle> -->
  </mat-card-header>
  <mat-card-content>
    <table mat-table class="full-width-table" matSort aria-label="Elements">
      <!-- Id Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
        <td mat-cell *matCellDef="let row">{{row.id}}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="nome">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Nome</th>
        <td mat-cell *matCellDef="let row">{{row.nome}}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="tipo">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Tipo</th>
        <td mat-cell *matCellDef="let row">{{row.tipo}}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="descricao">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Descrição</th>
        <td mat-cell *matCellDef="let row">{{row.descricao}}</td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator #paginator
        [length]="dataSource?.data?.length"
        [pageIndex]="0"
        [pageSize]="10"
        [pageSizeOptions]="[5, 10, 20]"
        aria-label="Select page">
    </mat-paginator>
  </mat-card-content>

  <mat-card-actions>
    <button mat-raised-button type="button" (click)="adicionarCategoria()" color="primary">Adicionar Categoria</button>
  </mat-card-actions>
</mat-card>
